<?php  

$lzFitnessSliderSingleChoice = getFitnessPostsType('slider');

$wp_customize->add_section(
	'lz_fitness_premium_slider_section',
	array(
		'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'lz_fitness_premium_home_panel',
		'priority' =>18
	)
);

// show content in slider
$wp_customize->add_setting(
	'lz_fitness_premium_slider_show_content',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_premium_slider_show_content',
		array(
			'settings'      => 'lz_fitness_premium_slider_show_content',
			'section'       => 'lz_fitness_premium_slider_section',
			'label'         => __( 'Hide Title and description on slider', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'Luzuk' ),
				'off' => __( 'Yes', 'Luzuk' )
			),
		)
	)
);

$wp_customize->add_setting('lz_fitness_premium_slider_section_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Info_Text( 
		$wp_customize,
		'lz_fitness_premium_slider_section_lbl',
		array(
			'settings'		=> 'lz_fitness_premium_slider_section_lbl',
			'section'		=> 'lz_fitness_premium_slider_section',
			'label'			=> __( 'Note:', 'Luzuk' ),	
			'description'	=> __( 'The Page featured image works as a slider banner and the title & content work as a slider caption. And you can add this from the Slider menu. <br/> Recommended Image Size: 1900X600', 'Luzuk' ),
		)
	)
);





lzCustomLable($wp_customize, 'sec_slidersection_padding', 'lz_fitness_premium_slider_section', 'Set Slider Box Padding:');

$wp_customize->add_setting(
    'sec_slidersectionTpadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '30px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_slidersectionTpadding',
    array(
        'settings'      => 'sec_slidersectionTpadding',
        'section'       => 'lz_fitness_premium_slider_section',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'sec_slidersectionBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '10px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_slidersectionBpadding',
    array(
        'settings'      => 'sec_slidersectionBpadding',
        'section'       => 'lz_fitness_premium_slider_section',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'sec_slidersectionLpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '40px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_slidersectionLpadding',
    array(
        'settings'      => 'sec_slidersectionLpadding',
        'section'       => 'lz_fitness_premium_slider_section',
        'type'          => 'text',
        'label'         => __( 'Left Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'sec_slidersectionRpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '40px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_slidersectionRpadding',
    array(
        'settings'      => 'sec_slidersectionRpadding',
        'section'       => 'lz_fitness_premium_slider_section',
        'type'          => 'text',
        'label'         => __( 'Right Padding', 'Luzuk' )
    )
);



addColorPalatOption($wp_customize, 'slider_BoxBgssColor', 'lz_fitness_premium_slider_section', 'Slider Box Background Color', '#f3f3f3');


lzCustomLable($wp_customize, 'lz_fitness_slideropacilty', 'lz_fitness_premium_slider_section', 'Set slider overlay opacity & slider overlay Background color:');


$wp_customize->add_setting(
	'pages_slideopacity',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0.5', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_slideopacity',
	array(
		'settings'      => 'pages_slideopacity',
		'section'       => 'lz_fitness_premium_slider_section',
		'type'          => 'text',
		'label'         => __( 'Add Opacity Here:', 'Luzuk' )
	)
);
addColorPalatOption($wp_customize, 'slider_overlaybgsColor', 'lz_fitness_premium_slider_section', 'Slider Overlay Background Color', '#000');

lzCustomLable($wp_customize, 'lz_fitness_sliderotherclrs', 'lz_fitness_premium_slider_section', 'Set Slider Title, Subtitle & Button Colors:');
addColorPalatOption($wp_customize, 'slider_TitleColor', 'lz_fitness_premium_slider_section', 'Slider Title Color', '#fff');

addColorPalatOption($wp_customize, 'slider_SubtitleColor', 'lz_fitness_premium_slider_section', 'Slider Sub Title Color', '#fff');



// Slider Button Text color
addColorPalatOption($wp_customize, 'slider_buttontextColor', 'lz_fitness_premium_slider_section', 'Slider Button Text Color', '#fff');
addColorPalatOption($wp_customize, 'slider_buttontexthoverColor', 'lz_fitness_premium_slider_section', 'Slider Button Text Hover Color', '#ffffff');
// Slider Button Background color
 addColorPalatOption($wp_customize, 'slider_buttonbgColor', 'lz_fitness_premium_slider_section', 'Slider Button Background Color', '#7d51fc');
 addColorPalatOption($wp_customize, 'slider_buttonbghoverColor', 'lz_fitness_premium_slider_section', 'Slider Button Background Hover Color', '#f8b739');

addColorPalatOption($wp_customize, 'slider_prevandnxtbuttonbghoverColor', 'lz_fitness_premium_slider_section', 'Slider Prev & Next Button Color', '#ababab');
addColorPalatOption($wp_customize, 'slider_prevandnxtbuttonbgsshoverColor', 'lz_fitness_premium_slider_section', 'Slider Prev & Next Button Hover Color', '#ffffff');
addColorPalatOption($wp_customize, 'slider_slideindicBrssrColor', 'lz_fitness_premium_slider_section', 'Slider Prev & Next Button Background Color', '#ffffff');
addColorPalatOption($wp_customize, 'slider_slideindicBrssrhvrsColor', 'lz_fitness_premium_slider_section', 'Slider Prev & Next Button Hover Background Color', '#7d51fc');


